Package wx :: Package lib :: Package agw :: Module shapedbutton :: Class SBitmapButton

[frames | no frames]

## Type SBitmapButton

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   SButton --+
                             |
                            SBitmapButton

Known Subclasses:
  `SBitmapTextButton`, `SBitmapToggleButton`

Method Summary
| ``__init__`(self, parent, id, bitmap, pos, size)` Default class constructor.
| ``DrawLabel`(self, dc, width, height, dw, dh)` Draws the bitmap in the middle of the button.
| ``GetBitmapDisabled`(self)` Returns the bitmap displayed when the button is disabled.
| ``GetBitmapFocus`(self)` Returns the bitmap displayed when the button has the focus.
| `GetBitmapLabel(self)`
| ``GetBitmapSelected`(self)` Returns the bitmap displayed when the button is selected (pressed).
| ``SetBitmapDisabled`(self, bitmap)` Sets the bitmap to display when the button is disabled.
| ``SetBitmapFocus`(self, bitmap)` Sets the bitmap to display when the button has the focus.
| ``SetBitmapLabel`(self, bitmap, createothers)` Sets the bitmap to display normally.
| ``SetBitmapSelected`(self, bitmap)` Sets the bitmap to display when the button is selected (pressed).

Property Summary

Instance Method Details

### __init__(self, parent, id, bitmap, pos=wx.Point(-1, -1), size=wx.Size(-1, -1))
(Constructor)

Default class constructor.

Non standard wxPython parameters are:

1. bitmap: the bitmap you wish to assing to your SBitmapButton.

  Overrides:
    `wx.lib.agw.shapedbutton.SButton.__init__`

### DrawLabel(self, dc, width, height, dw=0, dh=0)

Draws the bitmap in the middle of the button.

  Overrides:
    `wx.lib.agw.shapedbutton.SButton.DrawLabel`

### GetBitmapDisabled(self)

Returns the bitmap displayed when the button is disabled.

### GetBitmapFocus(self)

Returns the bitmap displayed when the button has the focus.

### GetBitmapSelected(self)

Returns the bitmap displayed when the button is selected (pressed).

### SetBitmapDisabled(self, bitmap)

Sets the bitmap to display when the button is disabled.

### SetBitmapFocus(self, bitmap)

Sets the bitmap to display when the button has the focus.

### SetBitmapLabel(self, bitmap, createothers=True)

Sets the bitmap to display normally. This is the only one that is required. If "createothers" is true, then the other bitmaps will be generated on the fly. Currently, only the disabled bitmap is generated.

### SetBitmapSelected(self, bitmap)

Sets the bitmap to display when the button is selected (pressed).

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:54:55 2009 | http://epydoc.sf.net